Subject: 30.0.50; Lock files are not deleted on Windows 98

From: Po Lu <[email-masked]>
Date: Mon, 10 Jun 2024 23:07:38 +0800

With lock files enabled, type C-x C-f C:/WINDOWS/Application Data/.emacs
RET, modify the file, and type C-x C-f, whereupon such a warning will be
displayed:

Warning (unlock-file): Invalid argument, `~/.emacs', ignored

I don't recall whether it was because lock files were disabled on the
same machine that this issue wasn't present in Emacs 28.1, or it was
because the issue was introduced in a subsequent release.